## libgpevtype 0.7

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libgpevtype
DEBUG = no
CVSBUILD = no
VERSION = 0.7

LINGUAS = 

MEMBERS = tag-db vcard vtodo vevent

SONAME = $(PACKAGE).so.0

PACKAGE_CFLAGS = $(STANDARD_CFLAGS) $(shell pkg-config --cflags glib-2.0) $(shell pkg-config --cflags mimedir-1.0) -DG_DISABLE_DEPRECATED -fPIC
PACKAGE_LDFLAGS = $(STANDARD_LDFLAGS) $(shell pkg-config --libs glib-2.0) $(shell pkg-config --libs mimedir-1.0)
PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS) -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\"

PACKAGE_CPPFLAGS += -I.

HEADERS = tag-db.h vcard.h

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: $(PACKAGE).so $(PACKAGE).pc $(PACKAGE)-uninstalled.pc doc

doc: 
	make -C doc PACKAGE=$(PACKAGE)

$(PACKAGE).so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-devel: $(PACKAGE).pc
	for i in $(HEADERS); do install -m 644 -D gpe/$$i $(DESTDIR)$(PREFIX)/include/gpe/$$i; done
	ln -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(PACKAGE).so
	install -m 644 $(PACKAGE).pc $(DESTDIR)$(PREFIX)/lib/pkgconfig/

clean:
	rm -f $(OBJS) $(SONAME) $(PACKAGE).so $(DEPS) $(PACKAGE).pc $(PACKAGE)-uninstalled.pc *.stamp

install-program: $(SONAME)
	mkdir -p $(DESTDIR)$(PREFIX)/lib/
	install -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)
.PHONY: doc

## libgpevtype 0.11

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PACKAGE = libgpevtype
 DEBUG = no
 CVSBUILD = no
-VERSION = 0.7
+VERSION = 0.11
 
 LINGUAS = 
 
@@ -16,7 +16,7 @@
 
 PACKAGE_CPPFLAGS += -I.
 
-HEADERS = tag-db.h vcard.h
+HEADERS = tag-db.h vcard.h vtodo.h vevent.h
 
 OBJS = $(patsubst %,%.o,$(MEMBERS))
 DEPS = $(patsubst %,%.d,$(MEMBERS))
@@ -28,7 +28,7 @@
 BUILD = build
 endif
 
-all: $(PACKAGE).so $(PACKAGE).pc $(PACKAGE)-uninstalled.pc doc
+all: $(PACKAGE).so $(PACKAGE).pc $(PACKAGE)-uninstalled.pc
 
 doc: 
 	make -C doc PACKAGE=$(PACKAGE)
@@ -41,15 +41,16 @@
 
 install-devel: $(PACKAGE).pc
 	for i in $(HEADERS); do install -m 644 -D gpe/$$i $(DESTDIR)$(PREFIX)/include/gpe/$$i; done
-	ln -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(PACKAGE).so
-	install -m 644 $(PACKAGE).pc $(DESTDIR)$(PREFIX)/lib/pkgconfig/
+	install -d $(DESTDIR)$(PREFIX)/lib/pkgconfig
+	ln -sf $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(PACKAGE).so
+	install -m 644 $(PACKAGE).pc $(DESTDIR)$(PREFIX)/lib/pkgconfig/$(PACKAGE).pc
 
 clean:
 	rm -f $(OBJS) $(SONAME) $(PACKAGE).so $(DEPS) $(PACKAGE).pc $(PACKAGE)-uninstalled.pc *.stamp
 
 install-program: $(SONAME)
 	mkdir -p $(DESTDIR)$(PREFIX)/lib/
-	install -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)
+	install $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)
 
 include $(BUILD)/Makefile.translation
 include $(BUILD)/Makefile.dpkg_ipkg

=== doc/Makefile ===

all: doc
doc:
	gtkdoc-scan --module=$(PACKAGE) --source-dir=../gpe --output-dir=.
	gtkdoc-mktmpl --module=$(PACKAGE)
	gtkdoc-mkdb --module=$(PACKAGE) --source-dir=../gpe --tmpl-dir=tmpl --output-format=xml --main-sgml-file=$(PACKAGE)-docs.sgml --sgml-mode
	gtkdoc-mkhtml $(PACKAGE) $(PACKAGE)-docs.sgml
clean:
	rm -f *.html sgml/* xml/* *.stamp

install-devel: all

## libgpevtype 0.50

=== debian/changelog ===
libgpevtype (0.50-6) unstable; urgency=low

  * Add explicit string format specifiers to calls to
    g_set_error in vcal.c and vtodo.c (Closes: #643426)

 -- Neil Williams <codehelp@debian.org>  Sun, 02 Oct 2011 12:33:59 +0100

libgpevtype (0.50-5) unstable; urgency=low

  * Update watch file
  * Move to source format 3 for upstream .tar.bz2 support.
  * Add misc:Depends (lintian)
  * Drop duplicate Priority and Section listings
  * Add GObject linkage to resolve symbols (Closes: #558896)
  * Add versioned symbols support.
  * Add automake1.9 as build-dep to improve patch.

 -- Neil Williams <codehelp@debian.org>  Sat, 12 Mar 2011 16:45:01 +0000

libgpevtype (0.50-4) unstable; urgency=low

  * Fix watch file URL.
  * Add Homepage field in control file.
  * Add GPE team to Uploaders.

 -- Moray Allan <moray@debian.org>  Sun, 13 Apr 2008 16:12:21 +0200

libgpevtype (0.50-3) unstable; urgency=low

  * Had missed one Depends still.  Closes: #354521.

 -- Moray Allan <moray@debian.org>  Sun, 12 Aug 2007 01:45:46 +0100

libgpevtype (0.50-2) unstable; urgency=low

  * Increase -dev package Depends.  Closes: #435465.

 -- Moray Allan <moray@debian.org>  Sun, 12 Aug 2007 01:05:31 +0100

libgpevtype (0.50-1) unstable; urgency=low

  * New upstream release.  Closes: #432901.
  * Build/clean/build cycle now works correctly.  Closes: #424524.
  * Fix watch file URL.
  * Add HTML documentation to -dev package.
  * Add -dbg package.

 -- Moray Allan <moray@debian.org>  Tue, 17 Jul 2007 01:22:53 +0100

libgpevtype (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Tue, 15 Feb 2005 16:18:30 +0000

libgpevtype (0.7-3) unstable; urgency=low

  * Fix to install all header files.

 -- Moray Allan <moray@debian.org>  Mon, 14 Feb 2005 00:12:15 +0000

libgpevtype (0.7-2) unstable; urgency=low

  * Add gtk-doc-tools to build-depends.

 -- Moray Allan <moray@debian.org>  Sun, 13 Feb 2005 18:17:27 +0000

libgpevtype (0.7-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Sun, 13 Feb 2005 18:07:02 +0000

libgpevtype (0.2-2) unstable; urgency=low

  * Fix watch file URL.

 -- Moray Allan <moray@debian.org>  Sun, 13 Feb 2005 18:06:28 +0000

libgpevtype (0.2-1) unstable; urgency=low

  * Initial Release.

 -- Moray Allan <moray@debian.org>  Sat,  6 Mar 2004 21:16:01 +0000

=== debian/control ===
Source: libgpevtype
Section: libs
Priority: optional
Maintainer: Moray Allan <moray@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>,
 Neil Williams <codehelp@debian.org>
Build-Depends: automake1.9, cdbs, debhelper (>= 5.0.0), gtk-doc-tools,
 libmimedir-gnome-dev, libgpewidget-dev, libglib2.0-dev, 
 libtododb-dev, libeventdb-dev (>= 0.90), libsqlite0-dev
Standards-Version: 3.9.2
Homepage: http://gpe.linuxtogo.org/
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/libgpevtype/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/libgpevtype/trunk/

Package: libgpevtype1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgpevtype1 (= ${binary:Version}), ${misc:Depends}
Description: data interchange library for GPE applications [development]
 libgpevtype is used by GPE personal information management applications to
 convert data to and from standard formats.
 .
 This package contains the debugging files for libgpevtype.

Package: libgpevtype-dev
Section: libdevel
Architecture: any
Depends: libgpevtype1 (= ${binary:Version}), libglib2.0-dev,
 libeventdb-dev, libmimedir-gnome-dev, ${misc:Depends}
Description: data interchange library for GPE applications [development]
 libgpevtype is used by GPE personal information management applications to
 convert data to and from standard formats.
 .
 This package contains the development files for libgpevtype.

Package: libgpevtype1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: data interchange library for GPE applications [runtime]
 libgpevtype is used by GPE personal information management applications to
 convert data to and from standard formats.
 .
 This package contains the runtime files for libgpevtype.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-gtk-doc
DEB_DH_STRIP_ARGS := --dbg-package=libgpevtype1-dbg

=== debian/watch ===
version=3
http://gpe.linuxtogo.org/download/source/libgpevtype-(.*)\.tar\.bz2
